import { getIdFromValue } from '../getIdFromValue';
/**
 * Удаляет элементы из value по массиву id
 */
export const removeItemsByIds = (value, idsToRemove) => {
    if (!value || idsToRemove.length === 0) {
        return value;
    }
    const idsSet = new Set(idsToRemove);
    return value.filter((treeItem) => !idsSet.has(getIdFromValue(treeItem)));
};
